<?php

namespace Onestartup\Product\Model;

use Illuminate\Database\Eloquent\Model;

class ProductCategory extends Model
{
    protected $table = 'product_categories';
    protected $fillable = [
    	'name',
		'description',
		'cover',
		'active',
		'slug'
    ];

    public function products()
    {
        return $this->hasMany('Onestartup\Product\Model\Product', 'category_id');
    }

    public function subcategories(){
        return $this->hasMany('Onestartup\Product\Model\ProductSubCategory', 'category_id');
    }
}
